%define	name		manslide
%define origname 	Manslide
%define	version		1.9.10
%define	release		%mkrel	2

Summary:	Program to Create your own slideshow
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Graphics
Source:		%{name}-%{version}.tar.gz
Source1:	%{name}.png
BuildRoot:	%_tmppath/%name-%version-buildroot
URL:		http://kde-apps.org
BuildRequires: 	libqt4-devel
BuildRequires:	qt4-devel	>= 4.3.2
Requires:	sox 		>= 13.0.0
Requires:	ImageMagick 	>= 6.2.9.2
Requires:	mencoder 
Requires:	mplayer 
Requires:	smilutils 	>= 0.3.2
Requires:	netpbm		>= 10.34

%description
Manslide is a slideshow creation application which makes it easy to produce attractive slideshows with optional background music. 
Manslide uses the QT4 toolkit.

You must have opengl compatible graphic card

%description -l de
Manslide ist ein Werkzeug für das Erzeugen von Slideshows. 
Es nutzt spezielle 3D Effekte und ist sehr einfach zu verwenden. Dieses ist eine Anwendung für QT4.

Benötigt eine opengl compatible Grafikkarte.

%description -l fr
Manslide est une application de création de diaporamas qui rend aisé la création de présentations avec une musique de fond optionelle
Manslide utilisa les bibliothèques QT4.

Vous devez disporer d'une carte graphique compatible opengl.

%prep
%setup -q -n %name-%version

%build
export QTDIR=%_prefix/lib/qt4
/usr/lib/qt4/bin/qmake


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/Manslide
mkdir -p %{buildroot}%{_datadir}/Manslide/BIB_ManSlide
mkdir -p %{buildroot}%{_datadir}/icons
mkdir -p %{buildroot}%{_datadir}/applnk/Multimedia

cp Manslide %{buildroot}%{_datadir}/Manslide/
cp -R BIB_ManSlide/Eff_sup %{buildroot}%{_datadir}/Manslide/BIB_ManSlide/
cp -R BIB_ManSlide/Luma %{buildroot}%{_datadir}/Manslide/BIB_ManSlide/
cp -R Interface %{buildroot}%{_datadir}/Manslide/
cp -R manslide_*.qm %{buildroot}%{_datadir}/Manslide/
cp -R manslide_*.ts %{buildroot}%{_datadir}/Manslide/
ln -s %{_datadir}/Manslide/Manslide %{buildroot}%{_bindir}/%{name}

%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png

cat >	%{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
GenericName=%{origname}
Name=%{name}
Comment=Slideshow generator
Comment[de]=ein Werkzeug für das Erzeugen von Slideshows
Comment[fr]=Générateur de diaporamas
MimeType=
DocPath=
Exec=%{name}
Icon=%{name}
Path=/usr/bin/%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Graphics
EOF

desktop-file-install \
	--vendor="" \
	--dir %{buildroot}%{_datadir}/applnk/Multimedia \
	%{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{origname}
%{_datadir}/applnk/Multimedia/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/%{name}.png

%changelog
* Sun May 24 2009 Texstar <texstar@gmail.com> 1.9.10-2pclos2009
- fix rpm group

* Sat Jan 26 2008 DidouPh <DidouPh@gmail.com> & maik3531 <maik3531@web.de> manslide-1.9.8-1_MyPCLinuxOS_addons2007
- Ported to PCLinuxOS from Mandvd spec & maik3531 <maik3531@web.de> 1.6-1pclos2007 srpm and 1.9.4.1.pclos2007 srpm
- Added french translation (funny for a french app )

* Thu Oct 25 2007 Mate Gabri <gabrimate@ippimail.com>
- first build

